Summary: GNUstep makefile package
Name: gnustep-make
Version: 1.12.0
Release: 5%{?dist}
License: GPL
Group: Development/Tools
URL: http://www.gnustep.org/
Source0: ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
Patch0: gnustep-make-1.12.0-chickenandegg.patch
Patch1: gnustep-make-1.12.0-fhs_which_lib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: texinfo, tetex-latex, tetex-dvips

%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

%prep
%setup -q
%patch0 -p1
# Fix make install into alternative root
perl -pi -e's,makedir = \@GNUSTEP_MAKEFILES\@,makedir = \$(special_prefix)\@GNUSTEP_MAKEFILES\@,' GNUmakefile.in
# FHS herculian act (more like Sysphus, but anyway ...)
%patch1 -p1

myreplace() {
  grep -rl "$1" . | egrep -v '(ChangeLog|INSTALL|\.texi$|README|FAQ)' | xargs -r echo perl -pi -e"s,$1,$2,g" | sh -x
}

myreplace /share /share/gnustep
myreplace Library/Headers include/gnustep
myreplace Library/Applications bin
myreplace Library/Makefiles share/gnustep/makefiles
myreplace /Library /share/gnustep
myreplace Library/ share/gnustep/
myreplace /Tools /libexec/gnustep
myreplace Tools/ libexec/gnustep/

%build
%configure \
  --with-system-root=%{_prefix} \
  --with-local-root=/usr/local \
  --disable-flattened
make
make -C Documentation

%install
rm -rf %{buildroot}
make install special_prefix=%{buildroot}
make -C Documentation install special_prefix=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYING FAQ NEWS README
%{_datadir}/gnustep
%{_libexecdir}/gnustep
%dir /etc/GNUstep
%config(noreplace) /etc/GNUstep/GNUstep.conf

%changelog
* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-5
- Try to make FHS compliant.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-4
- Remove default -lobjc-fd2 switch.
- Disable flat hierarchy to allow for different library combos.

* Wed Jul  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-3
- Update to 1.12.0.
- Use %%{?dist} instead of %%atrelease.
- Use %%{_libdir}/GNUstep as system root.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

